[Gallery]When user opens the gallery app, long press a picture in picturelist, there is a blank button in context menu.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Gallery
RESOLVED WORKSFORME
2 years ago
2 years ago

People

(Reporter: zouyi(Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 disabled, b2g-master affected)

Details

(Whiteboard: [2.5-aries-test-run-1])

Attachments

(2 attachments)

(Reporter)

Description

2 years ago
[1.Description]:
[Flame KK v2.5][Aries KK v2.5][Homescreen]When user long press a picture in picture list, there is a blank button in context menu.
Found time:02:51.
See attachment:logcat0251_.txt, Aries KK v2.5.3gp.

[2.Testing Steps]: 
1.Launch Gallery app.
2.Long press a picture.
3.Observe three buttons in context menu.

[3.Expected Result]: 
3.There should be no blank button.

[4.Actual Result]: 
3.There is a blank button.

[5.Reproduction build]: 
Device: Aries KK 2.5(Affected)
Build ID               20150823221817
Gaia Revision          cddb9f610cbe03d0ca39d81bbdce46a0fca841ab
Gaia Date              2015-08-23 03:34:38
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4ccdd06e51d7209ba429196df7cab97bf66962db
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150823.214038
Firmware Date          Sun Aug 23 21:40:46 UTC 2015
Firmware Version       v18D v4
Bootloader             s1

Device: Flame KK 2.5(Affected)
Build ID               20150823150207
Gaia Revision          cddb9f610cbe03d0ca39d81bbdce46a0fca841ab
Gaia Date              2015-08-23 03:34:38
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4ccdd06e51d7209ba429196df7cab97bf66962db
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150823.184539
Firmware Date          Sun Aug 23 18:45:51 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.2(Unaffected)
Build ID               20150823032504
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/1effc4cb6414
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150823.065101
Firmware Date          Sun Aug 23 06:51:12 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free test

[8.Note]
Flame KK v2.2 doesn't support this function.
(Reporter)

Comment 1

2 years ago
Created attachment 8651692 [details]
logcat_0251.txt
(Reporter)

Comment 2

2 years ago
Created attachment 8651695 [details]
Aries KK v2.5.3gp
(Reporter)

Updated

2 years ago
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
(Reporter)

Updated

2 years ago
Keywords: regression
(Reporter)

Updated

2 years ago
status-b2g-v2.2: unaffected → disabled
Keywords: regression
This bug can't be repro on latest AriesKK v2.5 and FlameKK v2.5 build, so close it. If anyone can repro, please reopen. Thanks.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Device: Arise KK 2.5 (Unaffected)
Build ID               20150825220518
Gaia Revision          a8a462ab783a5bbab508d3c29483cff260672e3c
Gaia Date              2015-08-25 04:21:06
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c46370eea81a9860ae77d1f0c7776c24e816138e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150825.212416
Firmware Date          Tue Aug 25 21:24:24 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 (Unaffected)
Build ID               20150825150204
Gaia Revision          a8a462ab783a5bbab508d3c29483cff260672e3c
Gaia Date              2015-08-25 04:21:06
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c46370eea81a9860ae77d1f0c7776c24e816138e
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150825.204529
Firmware Date          Tue Aug 25 20:45:45 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.